Subsections

- Name
- Synopsys
- Description
- Parameters
- Example
- Errors
- See Also

##
Pads

### Name

PadNorth, PadSouth, PadEast, PasWest - Placement of pads at the periphery of the cell

### Synopsys

    PadNorth ( args )

### Description

These functions place the pads given as arguments at the given side of the cell (PadNorth : up north, PadSouth : down south ...). Pads are placed from bottom to top for PadNorth and PadSouth and from left to right for PadWest and PasEast.

### Parameters

- `args` : List of pads to be placed

### Example

    PadSouth ( self.p_cin, self.p_np, self.p_ng, self.p_vssick0
             , self.p_vddeck0, self.p_vsseck1, self.p_vddeck1, self.p_cout
             , self.p_y[0], self.p_y[1], self.p_y[2]
             )

### Errors

Some errors may occur :

- `[Stratus ERROR] PadNorth : not enough space for all pads.`
  The abutment box is not big enough in order to place all the pads. Maybe one could put pads on other faces of the cell.
- `[Stratus ERROR] PadNorth : one instance doesn't exist.`
  One of the pads given as arguments does not exist
- `[Stratus ERROR] PadNorth : one argument is not an instance.`
  One of the pads is not one of the pads of the cell.
- `[Stratus ERROR] PadNorth : the instance ins is already placed.`
  One is trying to place a pad twice.
- `[Stratus ERROR] PadNorth : pad ins must be closer to the center.`
  The pad name ins must be put closer to the center in order to route the cell

### See Also

Introduction Layout PlaceCentric PlaceGlu FillCell Alimentation rails Alimentation connectors PowerRing RouteCk